DELETE FROM asterisk.extensions;
INSERT INTO asterisk.extensions 
(`context`, `exten`, `priority`, `app`, `appdata`) 
VALUES 
('call-out', '_XXX', '1', 'Dial', 'SIP/${EXTEN},15'),
('call-out', '_XXX', '2', 'Set', 'dstNUM=${EXTEN}'),
('call-out', '_XXX', '3', 'GotoIf', '$["${SIPPEER(${EXTEN},status)}" = ""]?num-not-exist,1'),
('call-out', '_XXX', '4', 'GotoIf', '$["${SIPPEER(${EXTEN},status):0:2}" = "UN"]?num-not-connected,1'),
('call-out', '_XXX', '5', 'ChanIsAvail', 'SIP/${EXTEN},s'),
('call-out', '_XXX', '6', 'NoOp', '=========== ChanIsAvail STATUS: ${AVAILSTATUS} ==========='),
('call-out', '_XXX', '7', 'GoToIf', '$[${AVAILSTATUS} = 2]?num-BUSY,1'),
('call-out', '_XXX', '8', 'GoToIf', '$[${AVAILSTATUS} = 3]?num-BUSY,1'),
('call-out', '_XXX', '9', 'Goto', 'num-${DIALSTATUS},1'),
('call-out', 'num-not-exist', '1', 'Wait', '2'),
('call-out', 'num-not-exist', '2', 'Playback', 'invalid'),
('call-out', 'num-not-connected', '1', 'Wait', '2'),
('call-out', 'num-not-connected', '2', 'Playback', 'ss-noservice'),
('call-out', 'num-BUSY', '1', 'Wait', '2'),
('call-out', 'num-BUSY', '2', 'Playback', 'vm-isonphone'),
('call-out', 'num-NOANSWER', '1', 'Wait', '2'),
('call-out', 'num-NOANSWER', '2', 'Voicemail', '${dstNUM},u'),
('call-out', 'num-CHANUNAVAIL', '1', 'Wait', '2'),
('call-out', 'num-CHANUNAVAIL', '2', 'Playback', 'vm-isunavail'),
('call-out', '_XXX.', '1', 'Set', 'CALLERID(name)='),
('call-out', '_XXX.', '2', 'Set', 'CALLERID(number)={{ ASTERISK_SIP_TRUNK_CALLERID }}'),
('call-out', '_XXX.', '3', 'Dial', 'SIP/${EXTEN}@0098267'),
('call-out', '_X!', '1', 'Hangup', ''),
{% for num in trunk %}
('call-in', '{{ num.ext }}', '1', 'NoOp', ''),
('call-in', '{{ num.ext }}', '2', 'Set', 'CALLERID(name)=8${CALLERID(name)}'),
('call-in', '{{ num.ext }}', '3', 'Set', 'CALLERID(number)=${CALLERID(name)}'),
('call-in', '{{ num.ext }}', '4', 'Dial', '{% for dst in num.int %}{% if loop.last %}SIP/{{ dst }}{% else %}SIP/{{ dst }}&{% endif %}{% endfor%}'){% if loop.last %};{% else %},
{% endif %}
{% endfor %}
